//
//  FindTableViewDataSource.h
//  JavaScriptEditor
//
//  Created by Raphael Bost on 19/09/04.
//

#import <Cocoa/Cocoa.h>
#import "MyDocument.h"

@class MyDocument;
@interface FindTableViewDataSource : NSObject {
IBOutlet NSTableView *findResultTableView;
NSMutableArray *findResultArray;

IBOutlet MyDocument *document;
}

- (void)reloadFindData:(NSArray *)findArray;

- (id)tableView:(NSTableView *)aTableView objectValueForTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex;
- (void)tableView:(NSTableView *)aTableView setObjectValue:anObject forTableColumn:(NSTableColumn *)aTableColumn row:(int)rowIndex;
- (int)numberOfRowsInTableView:(NSTableView *)aTableView;
@end
