//
//  AnalysorCall.h
//  WidgetEditor
//
//  Created by Jean-Benoit Bost on 09/10/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface AnalysorCall : NSObject {
	NSTask *analysorTask;
	NSPipe *fromPipe;
	NSFileHandle *fromAnalysor;
	NSMutableArray *arguments;
	//NSString *oldString;
	NSMutableString *returnedString;
	id caller;
}

- (id) init;
- (NSTask *)task;
- (id) caller;
- (void) setCaller:(id)sender;
- (void) launchWithFile:(NSString *)path;
- (void) launchAnalysor;
- (NSString *)returnedString;
- (void)setDataReceiverTo:(id)sender;
- (void) setAnalysorArguments:(NSArray *)args;
@end
