//
//  BrowserController.h
//  WidgetEditor
//
//  Created by Jean-Benoit Bost on 31/10/04.
//  Copyright 2004 __MyCompanyName__. All rights reserved.
//

#import <Cocoa/Cocoa.h>
#import <WebKit/WebView.h>


@interface BrowserController : NSObject {
	IBOutlet NSMatrix *goButtons;
    IBOutlet NSProgressIndicator *progressIndicator;
    IBOutlet NSButton *stopReloadButton;
    IBOutlet NSTextField *urlTextField;
    IBOutlet WebView *webView;
	IBOutlet NSWindow *window;
	IBOutlet NSButtonCell *backButton;
	IBOutlet NSButtonCell *forwardButton;
	IBOutlet NSImageView *iconView;	
	IBOutlet NSMenu *browserMenu;
	
	NSString *filePath;
	NSString *fileContentString;
	
	BOOL buttonStateIsReload;
}
- (void)loadTestBrowserWithFile:(NSString *)path;
- (IBAction)browse:(id)sender;
- (BOOL)isLoaded;
- (void)closeWindow;
- (IBAction)stopReload:(id)sender;
@end
