/* BrowserWindowController */

#import <Cocoa/Cocoa.h>
#import <WebKit/WebView.h>

#define ISLOADED YES
#define ISLOADING NO

@interface BrowserWindowController : NSWindowController
{
    IBOutlet NSMatrix *goButtons;
    IBOutlet NSProgressIndicator *progressIndicator;
    IBOutlet NSButton *stopReloadButton;
    IBOutlet NSTextField *urlTextField;
    IBOutlet WebView *webView;
	IBOutlet NSWindow *window;
	IBOutlet NSButtonCell *backButton;
	IBOutlet NSButtonCell *forwardButton;
	IBOutlet NSImageView *iconView;	
	IBOutlet NSMenu *browserMenu;
	
	NSString *filePath;
	NSString *fileContentString;
	
	BOOL loadingState;
}
- (BOOL)loadTestBrowserWithFile:(NSString *)path;
- (IBAction)browse:(id)sender;
- (BOOL)isLoaded;
- (void)closeWindow;
- (void)changeReloadButtonState;
@end
