/* TestWebView */

#import <Cocoa/Cocoa.h>
#import <WebKit/WebKit.h>


@interface TestWebView : WebView
{
	BOOL allowAnimatedImages;
	BOOL allowImagesLoops;
	BOOL allowJava;
	BOOL allowJS;
	BOOL allowLoadImages;
	BOOL allowPlugIns;
	
	IBOutlet NSMenu *setPreferencesMenu;
	
}
- (IBAction)setAllowAnimatedImage:(id)sender;
- (IBAction)setAllowImageLoops:(id)sender;
- (IBAction)setAllowJava:(id)sender;
- (IBAction)setAllowJS:(id)sender;
- (IBAction)setAllowLoadImages:(id)sender;
- (IBAction)setAllowPlugIns:(id)sender;
@end
